/*
 Theme Name:   Divi Child Theme From MP-Webdesign
 Theme URI:    https://www.elegantthemes.com/
 Description:  This child theme made by MP-Webdesign
 Author:       MP-Webdesign
 Author URI:   https://maxpruegner.com/
 Template:     Divi
 Version:      2.3.0
*/

/*-------------------Add any custom CSS below this line-------------------*/


.dynamic-font-size h1 {
    font-size: clamp(40px, 6vw, 80px);
}
.dynamic-font-size  h2 {
    font-size: clamp(36px, 6vw, 84px);
}
.dynamic-font-size  h3 {
    font-size: clamp(32px, 5vw, 60px);
}

.dynamic-font-size  h4 {
    font-size: clamp(24px, 3vw, 36px);
}


.dynamic-title-size .et_pb_module_header {
    font-size: clamp(22px, 2.2vw, 28px);
}



.et_pb_button {
    position: relative;
}
.button-child {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    overflow: hidden;
    border-radius: inherit;
}
.button-child-inner{
    position: absolute;
    top: 0;
    left: -105%;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.2);
    transition: all 0.5s ease;
	pointer-events: none;
	transform: skewX(10deg);
}
.et_pb_button:hover .button-child-inner{
    left: 105%;
}
.et_pb_button.transparent-button-green .button-child-inner {
    background: rgb(28 169 164 / 10%) !important;
}
.border-animation {
    display: none;
}
.bordered-button .button-child-inner {
    background: rgba(131,192,67,.1);
}

/* Header */
@media (max-width: 980px) {
	.c-menu-styles .et_pb_menu__wrap {
		display: flex;
		justify-content: flex-end !important;
	}
}
@media (min-width: 981px){
	body #page-container .et_pb_section .et_pb_row .c-menu-styles  .et_pb_menu__menu>nav>ul>li>a {
		opacity: 1 !important;
		transition: all .2s ease-in-out !important;
		padding: 12px 16px !important;
		height: fit-content !important;
		margin: auto;
		border-radius: 100px;
	}
	body #page-container .et_pb_section .et_pb_row .c-menu-styles  .et_pb_menu__menu>nav>ul>li.current-menu-item>a,
	body #page-container .et_pb_section .et_pb_row .c-menu-styles  .et_pb_menu__menu>nav>ul>li>a:hover {
		background: #000 !important;
		color: #fff !important;
	}
}



/* Homepage */

.hero-image-slider .et_pb_slide_description {
    display: none;
}

.hero-image-slider .et_pb_slide_image {
    position: relative;
    margin: 0 !important;
    inset: 0;
    width: 100% !important;
    height: 100% !important;
	display: block !important;
}
.hero-image-slider .et_pb_slide_image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-height: unset !important;
}
.hero-image-slider .et_pb_slide {
    padding: 0;
}
.hero-image-slider .et-pb-active-slide .et_pb_slide_image{
	transform: none !important;
}
.hero-image-slider .et_pb_slide .et_pb_slide_image img {
  width: 120%;
  height: 120%;
  object-fit: cover;
  transform-origin: center;
  will-change: transform;
}

.hero-image-slider .et_pb_slide:nth-child(even) .et_pb_slide_image img {
  animation: cinematicKenBurnseven 20s cubic-bezier(0.45, 0, 0.55, 1) infinite alternate !important;
}
.hero-image-slider .et_pb_slide:nth-child(odd) .et_pb_slide_image img {
  animation: cinematicKenBurnsodd 20s cubic-bezier(0.45, 0, 0.55, 1) infinite alternate !important;
}
@keyframes cinematicKenBurnseven {
  0% {
    transform: scale(1) translate3d(0%, 0%, 0) rotate(0deg);
  }

  100% {
    transform: scale(1.2) translate3d(-5%, -3%, 0) rotate(-0.9deg);
  }
}
@keyframes cinematicKenBurnsodd {
  0% {
    transform: scale(1.2) translate3d(-5%, -3%, 0) rotate(-0.9deg);
  }

  100% {
    transform: scale(1) translate3d(0%, 0%, 0) rotate(0deg);
  }
}

.hero-image-slider .et-pb-controllers {
    width: 1256px;
    max-width: 90%;
    text-align: left;
    left: 50%;
    bottom: 20px;
    transform: translatex(-50%);
    z-index: 999;
}
body:not(.et-fb) .hero-slider-text-row {
    pointer-events: none;
}
body #page-container .hero-slider-text-row .et_pb_column {
    pointer-events: visible;
}
.hero-image-slider .et-pb-controllers a {
    width: 8px;
    height: 8px;
    margin-right: 10px;
	transition: all .2s ease-in-out;
}
.hero-image-slider .et-pb-controllers a.et-pb-active-control {
    width: 25px;
}
.hero-image-slider .et_pb_slider_container_inner {
    height: calc(100% - 2px);
    overflow: hidden;
}
.hero-image-slider .et_pb_slide_image, .hero-image-slider .et_pb_slider_container_inner, .hero-image-slider .et_pb_container {
    background: inherit !important;
	height: 100% !important;
}
.hero-image-slider .et_pb_slides {
    height: 100%;
}
.hero-image-slider .et_pb_slide_image:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    inset: 0;
    background: inherit;
}


/* text-slider */
@media (min-width: 981px) {
	.slider-d-font-size .et_pb_text_inner {
		font-size: clamp(36px, 7vw, 92px);
		line-height: 1em !important;
	}
	.slider-d-font-size-vtwo .et_pb_text_inner {
		font-size: clamp(44px, 10vw, 140px);
		line-height: 1em !important;
	}
}
.add-dash div,
.add-dash .et_pb_text_inner p,
.add-dash .et_pb_text_inner,
.add-dash .et_pb_text_inner:after {
	display: inline-block;
}
.add-dash .et_pb_text_inner:after {
    content: " — ";
    color: #da3127;
}
.text-slider .slick-track {
    display: flex;
    column-gap: 64px;
}
@media (max-width: 980px) {
	.text-slider .slick-track {
		column-gap: 30px;
	}
}


.subhead-text {
    perspective: 600px;
}

.subhead-text .letter {
    display: inline-block;
    transform: rotateY(0deg) scale(1); /* always visible */
    transform-origin: left;
}

.subhead-text .letter.flip-animate {
    animation: flipPop 0.6s ease;
}

@keyframes flipPop {
    0% {
        transform: rotateY(0deg) scale(1);
    }
    40% {
        transform: rotateY(90deg) scale(1.05);
    }
    70% {
        transform: rotateY(-10deg) scale(1.08);
    }
    100% {
        transform: rotateY(0deg) scale(1);
    }
}


.round-icon span.et-pb-icon {
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
}


.et_pb_row.row-as-ticket .et_pb_column .et_pb_module span,
.et_pb_row.row-as-ticket .et_pb_column .et_pb_module {
    transition: all .2s ease-in-out !important;
}
body:not(.et-fb) .et_pb_row.row-as-ticket:hover .et_pb_column .et_pb_module span,
body:not(.et-fb) .et_pb_row.row-as-ticket:hover .et_pb_column .et_pb_module {
    color: #fff !important;
    border-color: #fff !important;
}
.bold-text-font-size strong {
    font-size: 24px;
    letter-spacing: -.01em;
}


.et_pb_module.positioned-number {
    opacity: .25;
    transition: all .3s ease-in-out;
}
.et_pb_column:hover .et_pb_module.positioned-number {
    opacity: .5;
    right: -14px;
    bottom: -34px;
}
.row-as-step span.et_pb_icon_wrap {
    transition: all .3s ease-in-out;
}
.row-as-step .et_pb_column:hover span.et_pb_icon_wrap {
    background: #da3127;
    color: #fff !important;
    border-color: #fff !important;
    transform: rotate(-10deg) scale(1.05);
}
.row-as-step .et_pb_column:hover span.et_pb_icon_wrap span {
    color: #fff !important;
}


.custom-bg {
	background-image: radial-gradient(600px 300px at 80% 0%, color-mix(in oklab, #da3127 35%, transparent), transparent 70%), radial-gradient(500px 260px at 10% 100%, color-mix(in oklab, #e8dcc4 25%, transparent), transparent 70%);
}




/* Footer */
.link-items a {
    transition: all .3s ease-in-out !important;
}
.link-items a:hover {
    padding-left: 10px;
}



.custom-cursor {
  position: fixed;
  top: 0;
  left: 0;
  width: 22px;
  height: 22px;
  background: #da3127;
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%);
  mix-blend-mode: difference;
  opacity: 1;
  transition: transform 0.2s ease, widt;
  z-index: 999999999999;
}

.custom-cursor.hovered {
  transform: translate(-50%, -50%) scale(2);
}

